library("readxl")
set.seed(123)
#Year1####
Test_year1 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =1)
chisq.test(Test_year1[,2:4], simulate.p.value = T) #CanH ***
chisq.test(Test_year1[,5:6], simulate.p.value = T) #ane **
chisq.test(Test_year1[,7:8], simulate.p.value = T) #epi ***
chisq.test(Test_year1[,9:10], simulate.p.value = T) #heme n.s
chisq.test(Test_year1[,11:12], simulate.p.value = T) # life span ***
chisq.test(Test_year1[,13:14], simulate.p.value = T) #SB ***
chisq.test(Test_year1[,15:17], simulate.p.value = T) #SE *** 

#Year2####
Test_year2 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =2)
chisq.test(Test_year2[,2:4], simulate.p.value = T) #CanH ***
chisq.test(Test_year2[,5:6], simulate.p.value = T) # heme *
chisq.test(Test_year2[,7:9], simulate.p.value = T) #FF ***
chisq.test(Test_year2[,10:11], simulate.p.value = T) #life span ***
chisq.test(Test_year2[,12:15], simulate.p.value = T) #plant type ***
chisq.test(Test_year2[,16:17], simulate.p.value = T) #SB ***
chisq.test(Test_year2[,18:20], simulate.p.value = T) #SM ***
chisq.test(Test_year2[,21:23], simulate.p.value = T) #SLA ***

#Year3####
Test_year3 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =3)
chisq.test(Test_year3[,2:4], simulate.p.value = F) #Can ***
chisq.test(Test_year3[,5:6], simulate.p.value = F) #heme **
chisq.test(Test_year3[,7:9], simulate.p.value = T) #FF ***
chisq.test(Test_year3[,10:11], simulate.p.value = T) #Life span ***
chisq.test(Test_year3[,12:13]) #SB***
chisq.test(Test_year3[,14:16], simulate.p.value = F) #SLA**

#Year4 ####
Test_year4 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =4)
chisq.test(Test_year4[,2:4]) #Can ***
chisq.test(Test_year4[,5:6]) #heme  ***
chisq.test(Test_year4[,7:9], simulate.p.value = T) #FF ***
chisq.test(Test_year4[,10:13], simulate.p.value = T) # plant type ***
chisq.test(Test_year4[,14:15]) #SB***
chisq.test(Test_year4[,16:18], simulate.p.value = T) #SeedE ***
chisq.test(Test_year4[,19:21]) #SLA **


#Year5 ####
Test_year5 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =5)
chisq.test(Test_year5[,2:3], simulate.p.value = T) #heme *
chisq.test(Test_year5[,4:6],simulate.p.value = T) #FF 
chisq.test(Test_year5[,7:9], simulate.p.value = T) #lat spread *
chisq.test(Test_year5[,10:11], simulate.p.value = T) #life span *
chisq.test(Test_year5[,12:13], simulate.p.value = T) #Lead dis n.s
chisq.test(Test_year5[,14:17], simulate.p.value = T) #plant type ***
chisq.test(Test_year5[,18:19],simulate.p.value = T) #SB  ***
chisq.test(Test_year5[,20:22],simulate.p.value = T) #SE  **
chisq.test(Test_year5[,23:25],simulate.p.value = T) #SE  **

#Year6 ####
Test_year6 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =6)
chisq.test(Test_year6[,2:4],simulate.p.value = T) #Can ***
chisq.test(Test_year6[,5:7], simulate.p.value = T) #FF n.s
chisq.test(Test_year6[,8:9], simulate.p.value = T) #leaf dis  ***
chisq.test(Test_year6[,10:13], simulate.p.value = T) # plant type
chisq.test(Test_year6[,14:15], simulate.p.value = F) # SB n.s
chisq.test(Test_year6[,16:18], simulate.p.value = F) #lat sp n.s

#Year7 ####
Test_year7 <- read_excel(path = "../Data/2) Chi-Test.xlsx", col_names = T, sheet =7)
chisq.test(Test_year7[,2:4]) #Can***
chisq.test(Test_year7[,5:6], simulate.p.value = T) # endo n.s
chisq.test(Test_year7[,7:9],simulate.p.value = T) #FF ***
chisq.test(Test_year7[,10:11], simulate.p.value = T) #life span **
chisq.test(Test_year7[,12:14], simulate.p.value = T) #SeedE ***
chisq.test(Test_year7[,15:17], simulate.p.value = F) #SLA n.s

           